interactions:
- request:
    body: '{"messages": [{"role": "user", "content": "What is the square of 5?"}],
      "model": "gpt-4o-mini", "tools": [{"type": "function", "function": {"name":
      "square_number", "description": "Returns the square of a number.", "parameters":
      {"type": "object", "properties": {"number": {"type": "integer", "description":
      "The number to square"}}, "required": ["number"]}}}]}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate
      connection:
      - keep-alive
      content-length:
      - '361'
      content-type:
      - application/json
      host:
      - api.openai.com
      user-agent:
      - OpenAI/Python 1.59.6
      x-stainless-arch:
      - arm64
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 1.59.6
      x-stainless-raw-response:
      - 'true'
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.12.7
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-AsZL5nGOaVpcGnDOesTxBZPHhMoaS\",\n  \"object\"\
        : \"chat.completion\",\n  \"created\": 1737568919,\n  \"model\": \"gpt-4o-mini-2024-07-18\"\
        ,\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n  \
        \      \"role\": \"assistant\",\n        \"content\": null,\n        \"tool_calls\"\
        : [\n          {\n            \"id\": \"call_i6JVJ1KxX79A4WzFri98E03U\",\n\
        \            \"type\": \"function\",\n            \"function\": {\n      \
        \        \"name\": \"square_number\",\n              \"arguments\": \"{\\\"\
        number\\\":5}\"\n            }\n          }\n        ],\n        \"refusal\"\
        : null\n      },\n      \"logprobs\": null,\n      \"finish_reason\": \"tool_calls\"\
        \n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 58,\n    \"completion_tokens\"\
        : 15,\n    \"total_tokens\": 73,\n    \"prompt_tokens_details\": {\n     \
        \ \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\"\
        : {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"\
        accepted_prediction_tokens\": 0,\n      \"rejected_prediction_tokens\": 0\n\
        \    }\n  },\n  \"service_tier\": \"default\",\n  \"system_fingerprint\":\
        \ \"fp_72ed7ab54c\"\n}\n"
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 906173d229b905f6-IAD
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Wed, 22 Jan 2025 18:02:00 GMT
      Server:
      - cloudflare
      Set-Cookie:
      - __cf_bm=BYDpIoqfPZyRxl9xcFxkt4IzTUGe8irWQlZ.aYLt8Xc-1737568920-1.0.1.1-Y_cVFN7TbguWRBorSKZynVY02QUtYbsbHuR2gR1wJ8LHuqOF4xIxtK5iHVCpWWgIyPDol9xOXiqUkU8xRV_vHA;
        path=/; expires=Wed, 22-Jan-25 18:32:00 GMT; domain=.api.openai.com; HttpOnly;
        Secure; SameSite=None
      - _cfuvid=etTqqA9SBOnENmrFAUBIexdW0v2ZeO1x9_Ek_WChlfU-1737568920137-0.0.1.1-604800000;
        path=/; domain=.api.openai.com; HttpOnly; Secure; SameSite=None
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      access-control-expose-headers:
      - X-Request-ID
      alt-svc:
      - h3=":443"; ma=86400
      openai-organization:
      - crewai-iuxna1
      openai-processing-ms:
      - '642'
      openai-version:
      - '2020-10-01'
      strict-transport-security:
      - max-age=31536000; includeSubDomains; preload
      x-ratelimit-limit-requests:
      - '30000'
      x-ratelimit-limit-tokens:
      - '150000000'
      x-ratelimit-remaining-requests:
      - '29999'
      x-ratelimit-remaining-tokens:
      - '149999976'
      x-ratelimit-reset-requests:
      - 2ms
      x-ratelimit-reset-tokens:
      - 0s
      x-request-id:
      - req_388e63f9b8d4edc0dd153001f25388e5
    status:
      code: 200
      message: OK
version: 1
